const system = require("../../../system");
const ServiceBase = require("../../svems.base")
const settings = require("../../../../config/settings")
class BusinessmenSveService extends ServiceBase {
  constructor() {
    super();
    this.SETTINGS_KEY = "merchant_settings_";
    this.INFO_KEY = "merchant_info_";
    this.channelSve = system.getObject("service.saas.channelSve");
    this.mainSve = system.getObject("service.saas.mainSve");
    this.redisClient = system.getObject("util.redisClient");
  }

  async saasorderbusinessmenPage(params){
    try{
      var rs = await this.callms("order", "saasorderbusinessmenPage", params || {});
      return rs;
    }catch (e) {
      console.log(e);
      return system.getResult(null,`系统错误`);
    }
  }

  /**
   * 获取所有符合条件的个体户信息
   * @param params
   * @returns {Promise<void>}
   */
  async assorderBusinessmenInfo(params){
    try{
      var rs = await this.callms("order", "assorderBusinessmenInfo", params || {});
      return rs;
    }catch (e) {
      console.log(e);
      return system.getResult(null,`系统错误`);
    }
  };

}
module.exports = BusinessmenSveService;
